Subject: Genetic Algorithms

From: [email-masked] (C.S.RAMAN)
Date: Sat, 28 Aug 1993 21:05:24 -0500 (CDT)

Peter:

There was a lengthy discussion on the topic of GA about a month ago on
CCL.  You might want to FTP to www.ccl.net and grep some of those
files to get the full response.  

I am including my current list of references on GA (dating back to 1989)
in order to give you a head start on whatever you are working on.

The COSMIC DATABASE (which contains all the programs developed by NASA
researchers) contains an interesting algorithm for developing GA
applications.  I shall describe about this database to the net sometime
next week and you can grab the info then.

Hope you find this information useful.
Cheers
-raman

*********************************CUT HERE****************************

1. HIBBERT DB.
     A HYBRID GENETIC ALGORITHM FOR THE ESTIMATION OF KINETIC PARAMETERS.
     CHEMOMETRICS AND INTELLIGENT LABORATORY SYSTEMS, 1993 JUL, V19 N3:319-329.

2. LUCASIUS CB; DEWEIJER AP; BUYDENS LMC; KATEMAN G.
     CFIT - A GENETIC ALGORITHM FOR SURVIVAL OF THE FITTING.
     CHEMOMETRICS AND INTELLIGENT LABORATORY SYSTEMS, 1993 JUL, V19 N3:337-341.

3. JERVIS M; STOFFA PL; SEN MK.
     2-D MIGRATION VELOCITY ESTIMATION USING A GENETIC ALGORITHM.
     GEOPHYSICAL RESEARCH LETTERS, 1993 JUL 23, V20 N14:1495-1498.

4. KUNCHEVA L.
     GENETIC ALGORITHM FOR FEATURE SELECTION FOR PARALLEL CLASSIFIERS.
     INFORMATION PROCESSING LETTERS, 1993 JUN 25, V46 N4:163-168.

5. PAYNE AWR; GLEN RC.
     MOLECULAR RECOGNITION USING A BINARY GENETIC SEARCH ALGORITHM.
     JOURNAL OF MOLECULAR GRAPHICS, 1993 JUN, V11 N2:74+.

6. BOONE G; CHIANG HD.
     OPTIMAL CAPACITOR PLACEMENT IN DISTRIBUTION SYSTEMS BY GENETIC ALGORITHM.
     INTERNATIONAL JOURNAL OF ELECTRICAL POWER & ENERGY SYSTEMS, 1993 JUN, V15
   N3:155-162.

7. MATSUURA K; SHIBA H; NUNOKAWA Y; SHIMIZU H; and others.
     [CALCULATION OF OPTIMAL TRAJECTORIES FOR FERMENTATION PROCESSES BY GENETIC
   ALGORITHM].
     Language:  Japanese.
     SEIBUTSU-KOGAKU KAISHI-JOURNAL OF THE SOCIETY FOR FERMENTATION AND
   BIOENGINEERING, 1993, V71 N3:171-178.

8. LERICHE R; HAFTKA RT.
     OPTIMIZATION OF LAMINATE STACKING SEQUENCE FOR BUCKLING LOAD MAXIMIZATION
   BY GENETIC ALGORITHM.
     AIAA JOURNAL, 1993 MAY, V31 N5:951-956.

9. FREEMAN LC.
     FINDING GROUPS WITH A SIMPLE GENETIC ALGORITHM.
     JOURNAL OF MATHEMATICAL SOCIOLOGY, 1993, V17 N4:227-241.

10. LEVITIN G; RUBINOVITZ J.
      GENETIC ALGORITHM FOR LINEAR AND CYCLIC ASSIGNMENT PROBLEM.
      COMPUTERS & OPERATIONS RESEARCH, 1993 AUG, V20 N6:575-586.

11. NARAYANAN MN; LUCAS SB.
      A GENETIC ALGORITHM TO IMPROVE A NEURAL NETWORK TO PREDICT A PATIENTS
    RESPONSE TO WARFARIN.
      METHODS OF INFORMATION IN MEDICINE, 1993 FEB, V32 N1:55-58.

12. JIN S; MADARIAGA R.
      BACKGROUND VELOCITY INVERSION WITH A GENETIC ALGORITHM.
      GEOPHYSICAL RESEARCH LETTERS, 1993 JAN 22, V20 N2:93-96.

13. KONAGAYA A.
      NEW TOPICS IN GENETIC ALGORITHM RESEARCH.
      Pub type:  Editorial.
      NEW GENERATION COMPUTING, 1992, V10 N4:423-427.

14. WIENKE D; LUCASIUS C; EHRLICH M; KATEMAN G.
      MULTICRITERIA TARGET VECTOR OPTIMIZATION OF ANALYTICAL PROCEDURES USING A
    GENETIC ALGORITHM .2. POLYOPTIMIZATION OF THE PHOTOMETRIC CALIBRATION GRAPH
    OF DRY GLUCOSE SENSORS FOR QUANTITATIVE CLINICAL ANALYSIS.
      ANALYTICA CHIMICA ACTA, 1993 JAN 18, V271 N2:253-268.

15. PHAM DT; ONDER HH.
      A KNOWLEDGE-BASED SYSTEM FOR OPTIMIZING WORKPLACE LAYOUTS USING A GENETIC
    ALGORITHM.
      Pub type:  Note.
      ERGONOMICS, 1992 DEC, V35 N12:1479-1487.

16. KULKARNI J; PARSAEI HR.
      INFORMATION RESOURCE MATRIX FOR PRODUCTION AND INTELLIGENT MANUFACTURING
    USING GENETIC ALGORITHM TECHNIQUES.
      COMPUTERS & INDUSTRIAL ENGINEERING, 1992 NOV, V23 N1-4:483-485.

17. LANSBERRY JE; WOZNIAK L; GOLDBERG DE.
      OPTIMAL HYDROGENERATOR GOVERNOR TUNING WITH A GENETIC ALGORITHM.
      IEEE TRANSACTIONS ON ENERGY CONVERSION, 1992 DEC, V7 N4:623-630.

18. LABOSSIERE P; TURKKAN N.
      ON THE OPTIMIZATION OF THE TENSOR POLYNOMIAL FAILURE THEORY WITH A
    GENETIC ALGORITHM.
      TRANSACTIONS OF THE CANADIAN SOCIETY FOR MECHANICAL ENGINEERING, 1992,
    V16 N3-4:251-265.

19. VENUGOPAL V; NARENDRAN TT.
      A GENETIC ALGORITHM APPROACH TO THE MACHINE-COMPONENT GROUPING PROBLEM
    WITH MULTIPLE OBJECTIVES.
      COMPUTERS & INDUSTRIAL ENGINEERING, 1992 OCT, V22 N4:469-480.

20. JENKINS WM.
      PLANE FRAME OPTIMUM DESIGN ENVIRONMENT BASED ON GENETIC ALGORITHM.
      JOURNAL OF STRUCTURAL ENGINEERING-ASCE, 1992 NOV, V118 N11:3103-3112.

21. LI TH; LUCASIUS CB; KATEMAN G.
      OPTIMIZATION OF CALIBRATION DATA WITH THE DYNAMIC GENETIC ALGORITHM.
      ANALYTICA CHIMICA ACTA, 1992 OCT 7, V268 N1:123-134.

22. BHATTACHARJYA AK; BECKER DE; ROYSAM B.
      A GENETIC ALGORITHM FOR INTELLIGENT IMAGING FROM QUANTUM-LIMITED DATA.
      SIGNAL PROCESSING, 1992 SEP, V28 N3:335-348.

23. WIENKE D; LUCASIUS C; KATEMAN G.
      MULTICRITERIA TARGET VECTOR OPTIMIZATION OF ANALYTICAL PROCEDURES USING A
    GENETIC ALGORITHM .1. THEORY, NUMERICAL SIMULATIONS AND APPLICATION TO
    ATOMIC EMISSION SPECTROSCOPY.
      ANALYTICA CHIMICA ACTA, 1992 AUG 14, V265 N2:211-225.

24. PRADOS DL.
      NEW LEARNING ALGORITHM FOR TRAINING MULTILAYERED NEURAL NETWORKS THAT
    USES GENETIC-ALGORITHM TECHNIQUES.
      ELECTRONICS LETTERS, 1992 JUL 30, V28 N16:1560-1561.

25. HAJIMA R; TAKEDA N; OHASHI H; AKIYAMA M.
      OPTIMIZATION OF WIGGLER MAGNETS ORDERING USING A GENETIC ALGORITHM.
      NUCLEAR INSTRUMENTS & METHODS IN PHYSICS RESEARCH SECTION A-ACCELERATORS
    SPECTROMETERS DETECTORS AND ASSOCIATED EQUIPMENT, 1992 JUL 1, V318
    N1-3:822-824.

26. NARA K; DEB AK; SHIOSE A; KITAGAWA M; and others.
      IMPLEMENTATION OF GENETIC ALGORITHM FOR DISTRIBUTION SYSTEMS LOSS MINIMUM
    RECONFIGURATION.
      IEEE TRANSACTIONS ON POWER SYSTEMS, 1992 AUG, V7 N3:1044-1051.

27. KOPFER H.
      [PROGENITOR - A GENETIC ALGORITHM FOR PRODUCTION SCHEDULING].
      Language:  German.
      Pub type:  Letter.
      WIRTSCHAFTSINFORMATIK, 1992 APR, V34 N2:255-256.

28. KANET JJ; SRIDHARAN V.
      PROGENITOR - A GENETIC ALGORITHM FOR PRODUCTION SCHEDULING - REPLY.
      Pub type:  Letter.
      WIRTSCHAFTSINFORMATIK, 1992 APR, V34 N2:256-256.

29. TOKINAGA S; WHINSTON AB.
      APPLYING ADAPTIVE CREDIT ASSIGNMENT ALGORITHM FOR THE LEARNING CLASSIFIER
    SYSTEM BASED UPON THE GENETIC ALGORITHM.
      IEICE TRANSACTIONS ON FUNDAMENTALS OF ELECTRONICS COMMUNICATIONS AND
    COMPUTER SCIENCES, 1992 MAY, VE75A N5:568-577.

30. MICHALEWICZ Z; JANIKOW CZ; KRAWCZYK JB.
      A MODIFIED GENETIC ALGORITHM FOR OPTIMAL CONTROL PROBLEMS.
      COMPUTERS & MATHEMATICS WITH APPLICATIONS, 1992 JUN, V23 N12:83-94.

31. ABDULLAH AR.
      A ROBUST METHOD FOR LINEAR AND NONLINEAR OPTIMIZATION BASED ON GENETIC
    ALGORITHM.
      CYBERNETICA, 1991, V34 N4:279-287.

32. GEMMILL DD.
      SOLUTION TO THE ASSORTMENT PROBLEM VIA THE GENETIC ALGORITHM.
      MATHEMATICAL AND COMPUTER MODELLING, 1992 JAN, V16 N1:89-94.

33. BLOMMERS MJJ; LUCASIUS CB; KATEMAN G; KAPTEIN R.
      CONFORMATIONAL ANALYSIS OF A DINUCLEOTIDE PHOTODIMER WITH THE AID OF THE
    GENETIC ALGORITHM.
      BIOPOLYMERS, 1992 JAN, V32 N1:45-52.

34. WILSON WG; VASUDEVAN K.
      APPLICATION OF THE GENETIC ALGORITHM TO RESIDUAL STATICS ESTIMATION.
      GEOPHYSICAL RESEARCH LETTERS, 1991 DEC, V18 N12:2181-2184.

35. MUHLENBEIN H; SCHOMISCH M; BORN J.
      THE PARALLEL GENETIC ALGORITHM AS FUNCTION OPTIMIZER.
      PARALLEL COMPUTING, 1991 SEP, V17 N6-7:619-632.

36. KANET JJ; SRIDHARAN V.
      PROGENITOR - A GENETIC ALGORITHM FOR PRODUCTION SCHEDULING.
      WIRTSCHAFTSINFORMATIK, 1991 AUG, V33 N4:332-336.

37. WANG QJ.
      THE GENETIC ALGORITHM AND ITS APPLICATION TO CALIBRATING CONCEPTUAL
    RAINFALL-RUNOFF MODELS.
      WATER RESOURCES RESEARCH, 1991 SEP, V27 N9:2467-2471.

38. JENKINS WM.
      TOWARDS STRUCTURAL OPTIMIZATION VIA THE GENETIC ALGORITHM.
      Pub type:  Note.
      COMPUTERS & STRUCTURES, 1991, V40 N5:1321-1327.

39. BOS M; WEBER HT.
      COMPARISON OF THE TRAINING OF NEURAL NETWORKS FOR QUANTITATIVE X-RAY
    FLUORESCENCE SPECTROMETRY BY A GENETIC ALGORITHM AND BACKWARD ERROR
    PROPAGATION.
      ANALYTICA CHIMICA ACTA, 1991 JUN 14, V247 N1:97-105.

40. VIGNAUX GA; MICHALEWICZ Z.
      A GENETIC ALGORITHM FOR THE LINEAR TRANSPORTATION PROBLEM.
      Pub type:  Letter.
      IEEE TRANSACTIONS ON SYSTEMS MAN AND CYBERNETICS, 1991 MAR-APR, V21
    N2:445-452.

41. COOK DF; WOLFE ML.
      GENETIC ALGORITHM APPROACH TO A LUMBER CUTTING OPTIMIZATION PROBLEM.
      CYBERNETICS AND SYSTEMS, 1991 MAY-JUN, V22 N3:357-365.

42. GORDON MD.
      USER-BASED DOCUMENT CLUSTERING BY REDESCRIBING SUBJECT DESCRIPTIONS WITH
    A GENETIC ALGORITHM.
      JOURNAL OF THE AMERICAN SOCIETY FOR INFORMATION SCIENCE, 1991 JUN, V42
    N5:311-322.

43. MAHLAB U; SHAMIR J; CAULFIELD HJ.
      GENETIC ALGORITHM FOR OPTICAL PATTERN RECOGNITION.
      OPTICS LETTERS, 1991 MAY 1, V16 N9:648-650.

44. SUCKLEY D.
      GENETIC ALGORITHM IN THE DESIGN OF FIR FILTERS.
      IEE PROCEEDINGS-G CIRCUITS DEVICES AND SYSTEMS, 1991 APR, V138
    N2:234-238.

45. KOHLER HM.
      ADAPTIVE GENETIC ALGORITHM FOR THE BINARY PERCEPTRON PROBLEM.
      Pub type:  Letter.
      JOURNAL OF PHYSICS A-MATHEMATICAL AND GENERAL, 1990 DEC 7, V23
    N23:L1265-L1271.

46. BICKEL AS; BICKEL RW.
      DETERMINATION OF NEAR-OPTIMUM USE OF HOSPITAL DIAGNOSTIC RESOURCES USING
    THE GENES GENETIC ALGORITHM SHELL.
      COMPUTERS IN BIOLOGY AND MEDICINE, 1990, V20 N1:1-13.

-- 
C.S.Raman                                 [email-masked] - Internet
UNIX Programming & Administration         [email-masked] - CIS
SPARC & SGI Systems                       [email-masked] - CHPC
Department of Biochemistry                [email-masked]
UTHSCSA       
7703 Floyd Curl Dr.                       (210) 567-6623   [Tel]
San Antonio, TX 78284-7760                (210) 567-6595   [Fax]
******************************************************************************
         If a man's wit be wandering, let him study the Mathematics
                                                            -Francis Bacon   
******************************************************************************